Skip to content
Guides
Fulfillment & ShippingFulfillment
shipment:read

Get fulfillment order

Returns one fulfillment order with its status, items, shipments and assigned location when present.

GET/v1/fulfillment/orders/{id}

Returns one fulfillment order with its status, items, shipments and assigned location when present.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/fulfillment/orders/7204558912004325301" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004325301",  "orderId": "7204558912004325301",  "orderNumber": "ORD-2026-0001",  "locationId": "7204558912004325301",  "locationName": "Example resource",  "status": "pendingAssignment",  "shipmentOriginKind": "manual",  "shippingConnectionId": "7204558912004325301",  "packageId": "7204558912004325301",  "shipmentId": "7204558912004325301",  "trackingNumber": "example",  "trackingLink": "example",  "labelUrl": "https://example.com/resource",  "carrierName": "Example resource",  "items": [    {      "orderItemId": "7204558912004325301",      "productId": "7204558912004325301",      "variantId": "7204558912004325301",      "title": "Example title",      "sku": "SKU-001",      "quantity": 1,      "shippedQuantity": 1,      "remainingQuantity": 1,      "committedQuantity": 1    }  ],  "shipments": [    {      "id": "7204558912004325301",      "originKind": "manual",      "shippingConnectionId": "7204558912004325301",      "packageId": "7204558912004325301",      "shipmentId": "7204558912004325301",      "trackingNumber": "example",      "trackingLink": "example",      "labelUrl": "https://example.com/resource",      "carrierName": "Example resource",      "items": [        {          "orderItemId": "7204558912004325301",          "sku": "SKU-001",          "quantity": 1,          "weight": 1,          "weightUnit": "kilogram"        }      ],      "createdOn": "2026-08-01T15:30:00Z"    }  ],  "createdOn": "2026-08-01T15:30:00Z",  "updatedOn": "2026-08-01T15:30:00Z"}